"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPinoBrowserWriteLog = void 0;

var _getPinoWriteLog = require("../core/getPinoWriteLog");

var _toSplunkEvent = require("../core/toSplunkEvent");

const defaultLog = (level, log) => {
  // eslint-disable-next-line no-console
  console[level](log);
};

const getPinoBrowserWriteLog = (splunk, {
  onConsoleLog = defaultLog
} = {}) => {
  return (0, _getPinoWriteLog.getPinoWriteLog)(splunk, {
    onSplunkLog: log => {
      const levelLabel = _toSplunkEvent.LOG_VALUE_TO_LABEL[log.level];
      const consoleLevel = levelLabel === 'fatal' ? 'error' : levelLabel;
      onConsoleLog(consoleLevel, log);
    }
  });
};

exports.getPinoBrowserWriteLog = getPinoBrowserWriteLog;